diff --git a/l2ork_addons/tar_em_up.sh b/l2ork_addons/tar_em_up.sh
index 3dadc2991887e4aaf70b2a3a95f6275dfd209f12..407cf4da8a31cd7c8f03f3107496b9b51f3a9b9f 100755
--- a/l2ork_addons/tar_em_up.sh
+++ b/l2ork_addons/tar_em_up.sh
@@ -200,7 +200,12 @@ if [ ! -d "../pd/nw/nw" ]; then
 	nwjs_url=${nwjs_url}/$nwjs_filename
 	echo "Fetching the nwjs binary from"
 	echo "$nwjs_url"
-	wget -nv $nwjs_url
+	if ! wget -nv $nwjs_url; then
+		nwjs_url=https://dl.nwjs.io/${nwjs_version}/$nwjs_filename
+		echo "Fetching the nwjs binary from"
+		echo "$nwjs_url"
+		wget -nv $nwjs_url
+	fi
 	if [[ $os == "win" || $os == "osx" ]]; then
 		unzip $nwjs_filename
 	else